Subject: Re: [DNA] Issue about multiply connected to the same linkandDNAbe i ngper-interface or not (was Re: WG LCcommentsondraft-ietf-dna-goals-01. t x t)

From: Brijesh Kumar <[email-masked]>
Date: Thu, 30 Sep 2004 14:45:21 -0400

----- Original Message -----
From: Erik Nordmark <[email-masked]>

> Brijesh Kumar wrote:
> 
> > Actually, it is hard to determine when multiple interfaces can 
> share DNA related information and when they can't without some 
> external knowledge. If two interfaces share the same link layer, 
> you would most likely need to share the DNA information since both 
> device interfaces will try to connect to the same attachment 
> point. However, it need not be the case in all cases since 
> interfaces may be configured to whatever a user wants. For 
> example, interface A may be configured to connect to Red 
> Basestation and interface B can be configured to connect to only 
> Blue Base stations. How will a system determine if interfaces 
> should share DNA information or not?
> 
> I can answer the question with an example solution. I picked the 
> complete-prefix list (but I could have picked a linkid solution as 
> well 
> for this example).
> If the prefix lists are maintained independently of the network 
> interfaces, then the fact that a prefix is seen in a RA on the 
> wlan0 
> interface, where the prefix was recently heard (less than the 
> prefix 
> lifetime) on the eth3 interface, means that the host can assume 
> that 
> wlan0 is now connected to the same link as eth3 was connected to 
> before.Thus it can apply the prefix list and default routers it 
> knew back on eth3.

Erik:

In the above scenario, you are right.

But, I am not sure when a device moves if the inter-relationship 
between two interfaces continues based on past knowledge of prefixes. 
May be the device movement caused the first interface to loose the 
connectivity, and the second interface to attach to a new attachment 
point (no RA received yet to determine any thing about the network).

> 
> Of course, there might be security easons to limit this. For 
> instance, 
> if the host knows that wlan0 is insecure somehow.

Interesting observation.

cheers,

--brijesh

---

From: Erik Nordmark <[email-masked]>
Date: Thu, 30 Sep 2004 12:10:15 -0700

> point (no RA received yet to determine any thing about the network).

In general you need to receive at least RA to verify that the interface 
is connected to a particular link.

There are exceptions when things can be determined at L2.
The "non movement" L2 exceptions are things like PPP multilink and IEEE 
802.3ad link aggregation where L2 knows that two or more L2 interfaces 
are "bonded" together to form one. Typically this is completely hidden 
from the IP software.

But in the case of DNA there might be interesting hints from L2
that do not require L3 verification. For instance, if the L2 detects 
that it has changed 802.11 APs, and that the MAC address of the AP is 
the same as the AP I used 5 minutes ago, then it would probably be 
reasonable to use whatever L3 configuration I had 5 minutes ago (asuming 
I retained it) (of course, subject to the prefix and default router 
lifetimes for that retained information).

    Erik